import { AfterViewChecked, AfterViewInit, ChangeDetectorRef, ElementRef, OnInit } from "@angular/core";
import { StiPen } from "../properties/StiPen";
import { StiModelService } from "../services/model.service";
import { StiColumnDraggableService } from "../services/sti-column-draggable.service";
export declare class StiDraggableColumnContainerComponent implements OnInit, AfterViewInit, AfterViewChecked {
    draggableService: StiColumnDraggableService;
    model: StiModelService;
    private cdref;
    container: ElementRef;
    constructor(draggableService: StiColumnDraggableService, model: StiModelService, cdref: ChangeDetectorRef);
    ngOnInit(): void;
    getBorder(pen: StiPen): string;
    get columnWidth(): number | "max-content";
    getColumnHeight(type: string): number;
    ngAfterViewChecked(): void;
    ngAfterViewInit(): void;
}
